=== debian/changelog ===
ztex-bmp (20110912-1) unstable; urgency=low

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 21:54:36 +0200

ztex-bmp (20110903+01-2) UNRELEASED; urgency=low

  * Improved description.

 -- Steffen Moeller <moeller@debian.org>  Sun, 11 Sep 2011 12:35:19 +0200

ztex-bmp (20110903+01-1) experimental; urgency=low

  * Added disambiguation from the LaTeX babel functionality with
    an extra comment in the description.
  * Fixed FTBFS with configuration (Closes: #640330).

 -- Steffen Moeller <moeller@debian.org>  Mon, 05 Sep 2011 21:39:14 +0200

ztex-bmp (20110903-1) experimental; urgency=low

  * Initial release (Closes: #640204).

 -- Steffen Moeller <moeller@debian.org>  Sat, 03 Sep 2011 02:05:35 +0200
