=== debian/control ===
Source: ztex-bmp
Section: science
Priority: extra
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, fp-compiler
Standards-Version: 3.9.2
Homepage: http://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-bmp/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/bmp/trunk/

Package: ztex-bmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: universal macro processor
 bmp (for babel universal macro processor) is a powerful general purpose
 macro processor that can be used in combination with many languages,
 e.g. Pascal or C. Projects comprising many different languages,
 can this way share a single mechanism to adjust parameters across
 all their code base. Developers with C background will be reminded
 of the functionality of cpp or m4, and those fluent in UNIX will also
 see similarities to sed.
 .
 bmp was developed as a part of the ZTEX EZ-USB SDK and is used to
 assemble the firmware for EZ-USB micro controllers. It is not associated
 in any way with D. Knuth's typesetting system.  When run as a standalone
 application, it is as versatile as to serve as a parser or to perform
 some non-trivial text replacements.
