## ztex-bmp 20120314

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,6 @@
 
 SOURCES=src/bmp.pas src/bmpsys.pas src/textbuf.pas 
 
-DESTDIR=/
-
 UNITS=-Fusrc
 
 PCFLAGS:=-Scgm -O3rGp3 -FE. -Xs $(PCEXTRAFLAGS)
@@ -86,11 +84,11 @@
 endif
 
 ifndef BINDIR
-  BINDIR=$(DESTDIR)/$(PREFIX)/bin
+  BINDIR=$(DESTDIR)$(PREFIX)/bin
 endif
 
 ifndef MANDIR
-  MANDIR=$(PREFIX)/share/man/man1
+  MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 endif
 
 .PHONY: all install uninstall resetconf clean distclean
