=== debian/changelog ===
ztex-bmp (20120314-3) unstable; urgency=medium

  * Team upload.
  * Pkg-escience was moved to Debian Science long ago
  * Set Vcs fields to Salsa
  * d/rules is no sample
  * Secure URI in Homepage
  * Fix links in d/copyright
  * d/watch:
     - version=4
     - Secure URI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Update lintian override info format in d/ztex-bmp.lintian-overrides
  * Fix dh_auto_clean

 -- Andreas Tille <tille@debian.org>  Sun, 23 Nov 2025 17:14:13 +0100

ztex-bmp (20120314-2) unstable; urgency=low

  * Fixing debian/changelog's erroneous omission of a previous upload.
    This might possibly help closing #685227.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Aug 2012 20:36:23 +0200

ztex-bmp (20120314-1) unstable; urgency=low

  * Upstream fixes FTBFS upon pascal compiler update (Closes: #663674)

 -- Steffen Moeller <moeller@debian.org>  Tue, 31 Jul 2012 22:48:44 +0200
