=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: ztex-bmp
+Standards-Version: 4.7.2
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
 Section: science
-Priority: extra
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, fp-compiler
-Standards-Version: 3.9.2
-Homepage: http://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-bmp/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/bmp/trunk/
+Priority: optional
+Build-Depends:
+ debhelper-compat (= 13),
+ fp-compiler,
+Vcs-Browser: https://salsa.debian.org/science-team/ztex-bmp
+Vcs-Git: https://salsa.debian.org/science-team/ztex-bmp.git
+Homepage: https://wiki.ztex.de/doku.php?id=en:software:compilation:bmp
 
 Package: ztex-bmp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: universal macro processor
  bmp (for babel universal macro processor) is a powerful general purpose
  macro processor that can be used in combination with many languages,
