=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || true # in case freepascal compiler is not installed locally
	rm -f conf_pc.pas

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/ztex-bmp PREFIX=/usr install
	dh_install

override_dh_auto_configure:
	rm -f Makefile.conf
	./configure pc
