=== debian/watch ===
version=4
https://www.ztex.de/downloads/bmp-([0-9]+).tar.bz2
